Last Comment Bug 786207 - Display name in share panel is white on gray on OS X
: Display name in share panel is white on gray on OS X
Status: VERIFIED FIXED
[Fx17][qa-]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: 17 Branch
: All Mac OS X
: -- normal (vote)
: Firefox 18
Assigned To: Shane Caraveo (:mixedpuppy)
:
Mentors:
Depends on:
Blocks: 776431
  Show dependency treegraph
 
Reported: 2012-08-28 03:48 PDT by Jared Wein [:jaws] (please needinfo? me)
Modified: 2012-10-17 10:57 PDT (History)
5 users (show)
anthony.s.hughes: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
recommend panel.patch (1.73 KB, patch)
2012-08-31 16:27 PDT, Shane Caraveo (:mixedpuppy)
no flags Details | Diff | Splinter Review
recommend panel.patch (1.63 KB, patch)
2012-09-04 13:02 PDT, Shane Caraveo (:mixedpuppy)
felipc: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Jared Wein [:jaws] (please needinfo? me) 2012-08-28 03:48:39 PDT
See http://hg.mozilla.org/mozilla-central/file/8af2ff9c6018/browser/themes/pinstripe/browser.css#l1264

Now that bug 771284 landed, the share panel shows a white display name on a gray background. We should now switch this to use the standard color.
Comment 1 Shane Caraveo (:mixedpuppy) 2012-08-31 16:27:37 PDT
Created attachment 657479 [details] [diff] [review]
recommend panel.patch

This fixes the font color as well as aligning the username with other text.
Comment 2 Jared Wein [:jaws] (please needinfo? me) 2012-09-02 07:39:09 PDT
Comment on attachment 657479 [details] [diff] [review]
recommend panel.patch

Review of attachment 657479 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/themes/pinstripe/browser.css
@@ +1269,5 @@
>    font-weight: bold;
>  }
>  
>  #socialUserDisplayName > .button-box {
> +  -moz-margin-start: -5px;

Why is this necessary? Instead of using a negative margin here, is there a positive margin or padding elsewhere that can be removed?
Comment 3 Shane Caraveo (:mixedpuppy) 2012-09-04 13:02:06 PDT
Created attachment 658194 [details] [diff] [review]
recommend panel.patch
Comment 4 Shane Caraveo (:mixedpuppy) 2012-09-06 15:48:29 PDT
Comment on attachment 658194 [details] [diff] [review]
recommend panel.patch

[Approval Request Comment]
issue affects aurora, minor change to get the right packing and color of the username
Comment 5 :Felipe Gomes (needinfo me!) 2012-09-06 16:31:55 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/e30a0c22e414
Comment 6 Ed Morley [:emorley] 2012-09-07 08:48:05 PDT
https://hg.mozilla.org/mozilla-central/rev/e30a0c22e414
Comment 7 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-09-25 11:39:34 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/e253875d797f
Comment 8 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-16 16:14:38 PDT
Is this something that can/should be automated?
Comment 9 Jared Wein [:jaws] (please needinfo? me) 2012-10-16 16:57:06 PDT
(In reply to Anthony Hughes, Mozilla QA (:ashughes) from comment #8)
> Is this something that can/should be automated?

The cost/benefit here wouldn't be worth it.
Comment 10 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-17 10:57:34 PDT
Thanks Jared, flagging [qa-].

Note You need to log in before you can comment on or make changes to this bug.